<?php
/**
 * So-called "premier class" cabins are constructed with this class (medium class)
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 Ship-Simu Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.ship-simu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class PremierCabin extends BaseCabin implements TradeableItem, ConstructableShipPart {
	// Konstruktor
	protected function __construct () {
		// Call parent constructor
		parent::__construct(__CLASS__);
	}

	// Premier-Kabine erstellen
	public static final function createPremierCabin ($numLuxury, $numRooms, $numBeds, $dim) {
		// Get new instance
		$premierInstance = new PremierCabin();

		// Abmasse extrahieren
		$premierInstance->extractDimensions($dim);

		// Den Rest auch setzen
		$premierInstance->setNumCabin($numLuxury);
		$premierInstance->setNumRooms($numRooms);
		$premierInstance->setNumBeds($numBeds);

		// Nicht noetig!
		$premierInstance->removePartInstance();

		// Instanz zurueckgeben
		return $premierInstance;
	}

	// Overwritten method for tradeable items
	public function isTradeable () {
		return true;
	}
}

// [EOF]
?>
